Using
Lists all index definitions of a domain.
applies to v0.5.1GET
/store-api/json/{domain}/indexes
const url = 'https://example.com/store-api/json/example/indexes';const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
try { const response = await fetch(url, options); const data = await response.json(); console.log(data);} catch (error) { console.error(error);}curl --request GET \ --url https://example.com/store-api/json/example/indexes \ --header 'Authorization: Bearer <token>'Authorizations
Section titled “Authorizations”Parameters
Section titled “Parameters”Path Parameters
Section titled “Path Parameters”domain
required
string
JSON domain
Responses
Section titled “Responses”Index definitions of the domain
Media typeapplication/json
Array<object>
object
created_at
required
integer format: int64
field
required
string
type
required
string
Example generated
[ { "created_at": 1, "field": "example", "type": "example" }]Domain not found
Media typetext/plain
string
Domain is being deleted
Media typetext/plain
string
JSON engine disabled
Media typetext/plain
string